#ifndef THERISOMATTIME_H
#define THERISOMATTIME_H

#include "iotools.h"
#include "alias.h"
struct matrix;

/**
   class decribes material model for thermal expansion
   
   eqother[0] - contains initial temperature (temperature at the beginning of the calculation)
   eqother[1] - contains temperature from the previous time step
   
*/
class therisomattime
{
 public:
  therisomattime (void);
  ~therisomattime (void);
  void read (XFILE *in);
  
  void matdilat (matrix &d,strastrestate ssst);
  void matdilat_bar (matrix &d);
  void matdilat_plbeam (matrix &d);
  void matdilat_plstress (matrix &d);
  void matdilat_plstrain (matrix &d);
  void matdilat_axi (matrix &d);
  void matdilat_plate (matrix &d);
  void matdilat_spacestr (matrix &d);
  void initvalues (long ipp, long ido);
  void temprstrains (long ipp, long ido);
  void nlstresses (long ipp, long ido);
  
  //  coefficient of thermal dilatancy
  double alpha;
};

#endif
